CHANGERS(8)

NAME
changers - list SCSI autochangers attached to the system

SYNOPSIS
changers [ -dv ] [ -a b.t.l ] [ -l ]

DESCRIPTION

The changers program lists all of the SCSI autochangers (jukeboxes) connected to the current system.

OPTIONS

-d  Determines the names and addresses of the autochanger's media elements (for example, tape drives).

-v  Lists more detailed information about each autochanger. The details provided may indicate how many media transports (MT, for example, robot arm), storage transports (ST, for example, slot), import/export elements (IE, for example, mail slot), of data transport (DT) elements the autochanger contains. The -v option also provides information about the element movement matrix supported by the autochanger.

-a b.t.l
    Selects a specific ordinal SCSI address, where b is the logical SCSI bus, t is the SCSI target, and l is the SCSI logical unit number (LUN) on that target. See libscsi(8).

-l  Performs a complete LUN search for all SCSI adapters in the system. This argument is accepted on all systems, but does not have any effect on HP-UX systems. Due to the method used to scan for available devices on HP-UX systems, all accessible devices are always shown, and the -l option has no additional effect. On all other platforms, the normal behavior is to start checking at LUN 0 for SCSI deivces. The first empty LUN found will end the search for a given target ID. With the -l option, all LUNS present on all target IDs for all SCSI busses in the system will be checked for devices. This can take a very long time and should therefore only be used when necessary. For example, a Fibre Channel adapter can support 126 target IDs, each of which may have 80 or more LUNs. Checking all LUNs on this single adapter may take over 10 minutes.

EXAMPLE

Sample output is shown below: hal$ changers -dv -a 0.2.0 scsidev@0.2.0:Vendor <SPECTRA>, Product <4000>
 Data Transfer Element at address 80 is scsidev@0.5.0
        Device:Vendor <HP>, Product <C1533A>
          Type:Tape
   System Name: /dev/rmt2.1
 Data Transfer Element at address 81 is scsidev@0.6.0
        Device:Vendor <HP>, Product <C1533A>
          Type:Tape
   System Name: /dev/rmt3.1

         1 MT Element starting at address 79
        60 ST Elements starting at address 1
         1 IE Element starting at address 0
         2 DT Elements starting at address 80

                  Element Movement Matrix

                  ->DT, ->IE, ->ST, ->MT
                MT->DT,MT->IE,MT->ST,______
                ST->DT,ST->IE,ST->ST,ST->MT
                IE->DT,______,IE->ST,IE->MT
                DT->DT,DT->IE,DT->ST,DT->MT
                ______,______,______,______
                ______,______,______,______
                ______,______,______,______
                ______,______,______,______

SEE ALSO
libscsi(8)